Subject: Re: [mpls] New draft-vkst-mpls-tp-te-mib-00 draft for review

From: venkatesan mahalingam <[email-masked]>
Date: Tue, 1 Mar 2011 11:45:47 -0500

Dear Daniel,
Please refer the latest version draft for MPLS-TP identifiers
draft-ietf-mpls-tp-identifiers-03.
*
*
*
*
*
*
*
*
*
*
*
*
*
*
*
*

We don't disagree with the MPLS-TP identifiers draft, the draft is
generically written considering the co-routed and associated bi-directional
tunnels.

Thanks,
Venkat.

On Tue, Mar 1, 2011 at 10:36 AM, Daniel Cohn <[email-masked]> wrote:

> Hi Venkatesan,
>
>
>
> I forgot to consider associated bidirectional – it makes perfect sense now.
> Actually you did mention them in your example section (<blush>).
>
> So can we agree then to disagree with the following statement in
> draft-swallow-mpls-tp-identifiers?
>
>
>
> *5.1.  MPLS-TP Point to Point Tunnel Identifiers*
>
> *<snip>*
>
> *The motivation for each endpoint having its own tunnel  number is to
> allow a compact form for the MEP-ID*
>
>
>
> Or am I again missing something?
>
>
>
> धन्यवाद,
>
> Daniel
>
>
>
> *From:* venkatesan mahalingam [mailto:[email-masked]]
> *Sent:* Tuesday, March 01, 2011 5:00 PM
> *To:* Daniel Cohn
> *Subject:* Re: [mpls] New draft-vkst-mpls-tp-te-mib-00 draft for review
>
>
>
> Dear Daniel,
>
> There is no discrepancy.
>
> Src-Node_ID::Src-Tunnel_Num::Dst-Node_ID::Dst-Tunnel_Num
>
> For co-routed bi-directional tunnel, we will have one tunnel entry with two XC entries for both forward and reverse LSPs. In this case, source tunnel number is same as destination tunnel number.
>
> Incase of associated bi-direction tunnel, we will have two tunnel entries each one has separate XC entry for LSP informations (Forward or reverse direction). In this case, we need to use the mplsTunnelExtTable to give the destination tunnel index. So, we will have two tunnels one for forward direction with reverse direction tunnel index associated similarly reverse direction tunnel with forward direction tunnel index associated.
>
> Hope this helps.
>
>
>
> Thanks,
>
> Venkat.
>
> On Tue, Mar 1, 2011 at 5:54 AM, Daniel Cohn <[email-masked]> wrote:
>
> Hi Ventaksean,
>
>
>
>
>
> Your draft of reference mentions that a TP tunnel is indexed by tunnel index, tunnel instance, source ID and destination ID (where ID can be either global::local for IP or ICC-ID for ICC). I fully agree with this statement. However draft-swallow-mpls-tp-identifiers specifies Src-Node_ID::Src-Tunnel_Num::Dst-Node_ID::Dst-Tunnel_Num, which explicitly assumes the validity of different tunnel number at source and destination.
>
>
>
> Are you aware of this discrepancy? What is your view on this?
>
>
>
> Thanks,
>
>
>
>
>
> Daniel Cohn
>
> System Engineer
>
> Orckit-Corrigent
>
> Mobile: +972 54 922 5104
> Email: [email-masked]
>
>
> *Pushing technology to the edge*
>
>
>
>
>
>
>
>
>
> *From:* venkatesan mahalingam [mailto:[email-masked]]
> *Sent:* Monday, February 28, 2011 5:21 AM
>
>
> *To:* mpls; [email-masked]
>
> *Subject:* [mpls] New draft-vkst-mpls-tp-te-mib-00 draft for review
>
>
>
> Hi Team,
>
> We have uploaded the MPLS-TP TE MIB draft last week into IETF repository.
>
>
>
> This document provides an enhancement to the RFC-3812 for managing the
> Traffic Engineering tunnels
>
> for MPLS based transport networks in IP and Non-IP operator environments.
>
>
>
> Please review the draft and provide your valuable comments/suggestions.
>
>
>
> A URL of the draft is:
>
> http://tools.ietf.org/id/draft-vkst-mpls-tp-te-mib-00.txt
>
>
> --
> Best Regards,
> Venkatesan Mahalingam.
>
>
>
>
> --
> Best Regards,
> Venkatesan Mahalingam.
>

-- 
Best Regards,
Venkatesan Mahalingam.

---

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 1 Mar 2011 18:54:58 +0200

Thanks Ventak, I think my confusion was helped by the incorrect reference in draft-ietf-mpls-tp-identifiers-03. 

Section 5.1 “See section Section 7.1.2.1” should be “See section Section 7.2.2.1”

draft-ietf-mpls-tp-identifiers-03 authors, please consider the above comment.

Regards and thanks again for the clarification.,

Daniel

From: venkatesan mahalingam [mailto:[email-masked]] 
Sent: Tuesday, March 01, 2011 6:46 PM
To: Daniel Cohn
Cc: mpls; [email-masked]
Subject: Re: [mpls] New draft-vkst-mpls-tp-te-mib-00 draft for review

Dear Daniel,

Please refer the latest version draft for MPLS-TP identifiers draft-ietf-mpls-tp-identifiers-03.

 

 

We don't disagree with the MPLS-TP identifiers draft, the draft is generically written considering the co-routed and associated bi-directional tunnels.

Thanks,

Venkat.

Hi Venkatesan,

I forgot to consider associated bidirectional – it makes perfect sense now. Actually you did mention them in your example section (<blush>).

So can we agree then to disagree with the following statement in draft-swallow-mpls-tp-identifiers?

5.1.  MPLS-TP Point to Point Tunnel Identifiers

<snip>

The motivation for each endpoint having its own tunnel  number is to allow a compact form for the MEP-ID

धन्यवाद,

Daniel

From: venkatesan mahalingam [mailto:[email-masked]] 
Sent: Tuesday, March 01, 2011 5:00 PM
To: Daniel Cohn
Subject: Re: [mpls] New draft-vkst-mpls-tp-te-mib-00 draft for review

Dear Daniel,

There is no discrepancy.
 
Thanks,
 
Venkat.

Hi Ventaksean,

 
 
Thanks,

Daniel Cohn

System Engineer

Orckit-Corrigent

Mobile: +972 54 922 5104

 logo-final-small<https://mail.google.com/mail/?ui=2&ik=2accee98d2&view=att&th=12e7235402337b97&attid=0.1&disp=emb&realattid=3373c781e29aeacd_0.1&zw> 

Pushing technology to the edge

 

From: venkatesan mahalingam [mailto:[email-masked]] 
Sent: Monday, February 28, 2011 5:21 AM

To: mpls; [email-masked]

Subject: [mpls] New draft-vkst-mpls-tp-te-mib-00 draft for review

Hi Team,

This document provides an enhancement to the RFC-3812 for managing the Traffic Engineering tunnels 

A URL of the draft is:

-- 
Best Regards,
Venkatesan Mahalingam.

-- 
Best Regards,
Venkatesan Mahalingam.

-- 
Best Regards,
Venkatesan Mahalingam.